Skip to main content
GET
/
api
/
pipelines
Get organization pipeline
curl --request GET \
  --url https://your-instance.example.com/api/pipelines \
  --header 'Authorization: Bearer <token>'
{
  "pipeline": {
    "_id": "66f0a0b0c0d0e0f0a0b0c0d0",
    "name": "Sales pipeline",
    "type": "Contact",
    "isDefault": true,
    "pipelineStages": [
      {
        "_id": "67f0a0b0c0d0e0f0a0b0c0d0",
        "name": "New",
        "color": "#3B82F6",
        "position": 0
      },
      {
        "_id": "67f0a0b0c0d0e0f0a0b0c0d1",
        "name": "Qualified",
        "color": "#10B981",
        "position": 1
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>
default:Contact
Available options:
Contact,
Application
pipelineId
string

Response

Pipeline returned

pipeline
object
Example:
{
"_id": "66f0a0b0c0d0e0f0a0b0c0d0",
"name": "Sales pipeline",
"description": "NA sales pipeline",
"organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
"type": "Contact",
"isDefault": true,
"isActive": true,
"stages": [
{ "name": "New", "color": "#3B82F6" },
{ "name": "Qualified", "color": "#10B981" }
],
"pipelineStageIds": [
"67f0a0b0c0d0e0f0a0b0c0d0",
"67f0a0b0c0d0e0f0a0b0c0d1"
],
"pipelineStages": [
{
"_id": "67f0a0b0c0d0e0f0a0b0c0d0",
"name": "New",
"color": "#3B82F6",
"position": 0
},
{
"_id": "67f0a0b0c0d0e0f0a0b0c0d1",
"name": "Qualified",
"color": "#10B981",
"position": 1
}
],
"createdBy": "65b1f0a2c3d4e5f6a7b8c9d0",
"updatedBy": "65b1f0a2c3d4e5f6a7b8c9d0"
}